// generated by Fast Light User Interface Designer (fluid) version 1.00

#ifndef TagsGUI_H
#define TagsGUI_H
#include <FL/Fl.H>
#include "settingparser.hh"
#include "FL/Fl_ToggleTree.H"
#include "Fl_TTreeResizer.H"
#include <FL/Fl_Window.H>
#include <FL/Fl_Menu_Bar.H>
#include <FL/Fl_Scroll.H>
#include <FL/Fl_Button.H>

class TagsGUI {
public:
  Fl_ToggleTree* tree;
  char** files_;
  int nfiles_;
  int sorttype;
  int done;
  char* invoke_ctags_str;
  char* make_ctags_str;
  char* invoke_editor_str;
  SettingsParser mSettingsParser;
  TagsGUI();
  Fl_Window *window;
private:
  inline void cb_window_i(Fl_Window*, void*);
  static void cb_window(Fl_Window*, void*);
  static Fl_Menu_Item menu_[];
  inline void cb_Quit_i(Fl_Menu_*, void*);
  static void cb_Quit(Fl_Menu_*, void*);
  inline void cb_Search_i(Fl_Menu_*, void*);
  static void cb_Search(Fl_Menu_*, void*);
  inline void cb_Edit_i(Fl_Menu_*, void*);
  static void cb_Edit(Fl_Menu_*, void*);
  inline void cb_Save_i(Fl_Menu_*, void*);
  static void cb_Save(Fl_Menu_*, void*);
  inline void cb_About_i(Fl_Menu_*, void*);
  static void cb_About(Fl_Menu_*, void*);
  inline void cb_Invoking_i(Fl_Menu_*, void*);
  static void cb_Invoking(Fl_Menu_*, void*);
public:
  Fl_Scroll *scroll;
private:
  inline void cb_Reload_i(Fl_Button*, void*);
  static void cb_Reload(Fl_Button*, void*);
  inline void cb_make_i(Fl_Button*, void*);
  static void cb_make(Fl_Button*, void*);
public:
  void Load(char** files,int nfiles);
private:
  void _Load(char** files,int nfiles);
public:
  void SortByName(void);
  void SortByLine(void);
  static int NameSortFunction(class Fl_Node* a,class Fl_Node* b);
  static int LineSortFunction(class Fl_Node* a,class Fl_Node* b);
  void Init(void);
  void Run(void);
  void InitTree(void);
  void TreeSelect(void);
  void Reload(int force_load_tags = 0);
  static void cb_tree(Fl_Widget* tree);
  void Quit(void);
  void MakeTagsAndReload(void);
  void SavePreferences(void);
  void EditPreferences(void);
  void About(void);
  void Search(void);
  Fl_ToggleTree* Tree();
  void Help(void);
};
#include <FL/Fl_Box.H>
#include <FL/Fl_Round_Button.H>
#include <FL/Fl_Input.H>

class PreferencesGUI {
public:
  TagsGUI* mGUI;
  int done;
  PreferencesGUI(TagsGUI* gui);
  Fl_Window *window;
  Fl_Round_Button *mSortByName;
  Fl_Round_Button *mSortByLine;
  Fl_Input *mCtagsInvoke;
  Fl_Input *mCtagsMake;
  Fl_Input *mEditorInvoke;
private:
  inline void cb_OK_i(Fl_Button*, void*);
  static void cb_OK(Fl_Button*, void*);
  inline void cb_Cancel_i(Fl_Button*, void*);
  static void cb_Cancel(Fl_Button*, void*);
  inline void cb_Help_i(Fl_Button*, void*);
  static void cb_Help(Fl_Button*, void*);
public:
  void Run(void);
  void OK(void);
  void Cancel(void);
  void Help(void);
};

class AboutBox {
public:
  AboutBox();
  Fl_Window *window;
private:
  inline void cb_window1_i(Fl_Window*, void*);
  static void cb_window1(Fl_Window*, void*);
  inline void cb__i(Fl_Button*, void*);
  static void cb_(Fl_Button*, void*);
public:
  int done;
  void Run(void);
  void Done(void);
};

class SearchGUI {
public:
  SearchGUI(TagsGUI* gui);
  Fl_Window *window;
  Fl_Input *mSearchTerm;
private:
  inline void cb_mSearchTerm_i(Fl_Input*, void*);
  static void cb_mSearchTerm(Fl_Input*, void*);
public:
  Fl_Scroll *mResultsScroll;
  Fl_ToggleTree *mResultsTree;
private:
  inline void cb_Done_i(Fl_Button*, void*);
  static void cb_Done(Fl_Button*, void*);
  inline void cb_Go_i(Fl_Button*, void*);
  static void cb_Go(Fl_Button*, void*);
public:
  int done;
  void Run(void);
  void Go(void);
  void Done(void);
  TagsGUI* mGUI;
  void Search(void);
class Fl_ToggleTree* mResultsTree2;
  static void cb_tree(Fl_Widget* tree);
  void TreeSelect(void);
};

class HelpGUI {
public:
  HelpGUI();
  Fl_Window *window;
private:
  inline void cb_window2_i(Fl_Window*, void*);
  static void cb_window2(Fl_Window*, void*);
  inline void cb_OK1_i(Fl_Button*, void*);
  static void cb_OK1(Fl_Button*, void*);
public:
  int done;
  void Run(void);
  void Done(void);
};
#endif
