#ifndef __SettingsParser__
#define __SettingsParser__
#include "setbool.h"

class SettingsParser {
public:
	bool	mFound;
	int		mError;
	bool	mHasErrors;

	struct Setting {
		char*	key;
		void*	data;
		int		typ;
		Setting*	next;
	};
	
	Setting* first;
	Setting* last;
	
	SettingsParser();
	
	void Add(Setting* setting);
	void Add(char* key,bool*  valptr,bool def);
	void Add(char* key,char** valptr,char* def);
	void Add(char* key,int* valptr,int def);
	void Add(char* key,float* valptr,float def);
	
	void SetFlag	(bool* b,char* str);
	void SetString	(char** ptr,char* str);
	void SetInt	(int* ptr,char* str);
	void SetFloat	(float* ptr,char* str);

	void Set(char* key,char* val);

	void Parse(char* filename);	
	void Save(char* filename);	
	bool HasErrors(void) { return mHasErrors; }
};

#endif
